# Method: forms.responses.list

- [HTTP request](https://developers.google.com/workspace/forms/api/reference/rest/v1/forms.responses/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/forms/api/reference/rest/v1/forms.responses/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/forms/api/reference/rest/v1/forms.responses/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/forms/api/reference/rest/v1/forms.responses/list#body.request_body)
- [Response body](https://developers.google.com/workspace/forms/api/reference/rest/v1/forms.responses/list#body.response_body)
  - [JSON representation](https://developers.google.com/workspace/forms/api/reference/rest/v1/forms.responses/list#body.ListFormResponsesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/workspace/forms/api/reference/rest/v1/forms.responses/list#body.aspect)
- [Try it!](https://developers.google.com/workspace/forms/api/reference/rest/v1/forms.responses/list#try-it)

List a form's responses.

### HTTP request

`GET https://forms.googleapis.com/v1/forms/{formId}/responses`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `formId` | `string` Required. ID of the Form whose responses to list. |

### Query parameters

| Parameters ||
|---|---|
| `filter` | `string` Which form responses to return. Currently, the only supported filters are: - `timestamp > *N*` which means to get all form responses submitted after (but not at) timestamp *N*. \* `timestamp >= *N*` which means to get all form responses submitted at and after timestamp *N*. For both supported filters, timestamp must be formatted in RFC3339 UTC "Zulu" format. Examples: "2014-10-02T15:01:23Z" and "2014-10-02T15:01:23.045123456Z". |
| `pageSize` | `integer` The maximum number of responses to return. The service may return fewer than this value. If unspecified or zero, at most 5000 responses are returned. |
| `pageToken` | `string` A page token returned by a previous list response. If this field is set, the form and the values of the filter must be the same as for the original request. |

### Request body

The request body must be empty.

### Response body

Response to a ListFormResponsesRequest.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "responses": [ { object (`https://developers.google.com/workspace/forms/api/reference/rest/v1/forms.responses#FormResponse`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `responses[]` | ``object (`https://developers.google.com/workspace/forms/api/reference/rest/v1/forms.responses#FormResponse`)`` The returned form responses. Note: The `formId` field is not returned in the `FormResponse` object for list requests. |
| `nextPageToken` | `string` If set, there are more responses. To get the next page of responses, provide this as `pageToken` in a future request. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/drive`
- `
  https://www.googleapis.com/auth/drive.file`
- `
  https://www.googleapis.com/auth/forms.responses.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).